summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--www-apps/grafana-bin/Manifest1
-rw-r--r--www-apps/grafana-bin/grafana-bin-6.0.0_beta3.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/www-apps/grafana-bin/Manifest b/www-apps/grafana-bin/Manifest
index a5b6d387223..980e40d0f62 100644
--- a/www-apps/grafana-bin/Manifest
+++ b/www-apps/grafana-bin/Manifest
@@ -5,3 +5,4 @@ DIST grafana-bin-5.4.2.tar.gz 55202302 BLAKE2B 6e6e5300128a17db4f2323a5c94528eae
DIST grafana-bin-5.4.3.tar.gz 55228439 BLAKE2B 63ee14b1ab074f453c8f1b870b8c0c51365106cb2af59fa20f56805f7add7fec29bc5ecd7e2ffc1f3f6811049e839893433e14b1871cb2aea359f58537b9e0dc SHA512 781466c7477ecb4fbca59006600adc3569d0ee2158da3b75831b1934fd39456030471d4508fbf2d3296d3660dcc8b92782295d7afe458229bad1d64de88ad33b
DIST grafana-bin-6.0.0_beta1.tar.gz 56647687 BLAKE2B 911557c15cc1f0b50e69e5c80e57b91a2882ab1e0c2d62547cc626a90a8cf0f0b0a9b715f972bc4a925326012ecbb076d942356d8dd2c58bdc3f923e193b153d SHA512 e6c70bcbe27bdd2b83794eb0aad3813b77893623cea9d61f0bf7ee536860c62db34f87243160b4983f49062c8984b8cc0cbda6a639efa465e4ebd00a4acf80ec
DIST grafana-bin-6.0.0_beta2.tar.gz 56167901 BLAKE2B fe30db62b01a1de1e8b4ecd87c9e7386fc4f83ad5d829866112e192713966b745336a78eb4ae1607a2722cde6c6fdd62f2f74a275d6416678f41887b4fddacfb SHA512 e4c470be2befb61f587b2a8935074ba4fd44efa7bf752fc37f43453d181be00f343e39ec56c782f9fdec8e770364c022bd64be634716397d9524854b31cc9313
+DIST grafana-bin-6.0.0_beta3.tar.gz 56189550 BLAKE2B 4012f3916dbab069db5aabb52ff4683e9b80c7905991f6c86ba21e7ccbec1402b67a00636c1fb8a31b1edbaf3d2a3ae467431c1aa5305ea95e7546f03707bf0b SHA512 199caf9123c37bdb313d02e19eaf2a9cf3b90fdbacea1cb006e7efd32cb12c7dfb012826f1388fd7b48dbf88be33e3a56c2beccbc69afeabe79586a1ec13fc36
diff --git a/www-apps/grafana-bin/grafana-bin-6.0.0_beta3.ebuild b/www-apps/grafana-bin/grafana-bin-6.0.0_beta3.ebuild
new file mode 100644
index 00000000000..b252435ffde
--- /dev/null
+++ b/www-apps/grafana-bin/grafana-bin-6.0.0_beta3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit user systemd
+
+MY_PN=${PN/-bin/}
+MY_PV=${PV/_beta/-beta}
+S=${WORKDIR}/${MY_PN}-${MY_PV}
+
+DESCRIPTION="Gorgeous metric viz, dashboards & editors for Graphite, InfluxDB & OpenTSDB"
+HOMEPAGE="https://grafana.org"
+SRC_URI="https://s3-us-west-2.amazonaws.com/grafana-releases/release/${MY_PN}-${MY_PV}.linux-amd64.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+QA_EXECSTACK="usr/share/grafana/vendor/phantomjs/phantomjs"
+QA_PREBUILT="usr/bin/grafana-*"
+QA_PRESTRIPPED=${QA_EXECSTACK}
+
+pkg_setup() {
+ enewgroup grafana
+ enewuser grafana -1 -1 /usr/share/grafana grafana
+}
+
+src_install() {
+ keepdir /etc/grafana
+ insinto /etc/grafana
+ newins "${S}"/conf/sample.ini grafana.ini
+ rm "${S}"/conf/sample.ini || die
+
+ # Frontend assets
+ insinto /usr/share/${MY_PN}
+ doins -r public conf
+
+ dobin bin/grafana-cli
+ dobin bin/grafana-server
+
+ newconfd "${FILESDIR}"/grafana.confd grafana
+ newinitd "${FILESDIR}"/grafana.initd.3 grafana
+ systemd_newunit "${FILESDIR}"/grafana.service grafana.service
+
+ keepdir /var/{lib,log}/grafana
+ keepdir /var/lib/grafana/{dashboards,plugins}
+ fowners grafana:grafana /var/{lib,log}/grafana
+ fowners grafana:grafana /var/lib/grafana/{dashboards,plugins}
+ fperms 0750 /var/{lib,log}/grafana
+ fperms 0750 /var/lib/grafana/{dashboards,plugins}
+}
+
+postinst() {
+ elog "${PN} has built-in log rotation. Please see [log.file] section of"
+ elog "/etc/grafana/grafana.ini for related settings."
+ elog
+ elog "You may add your own custom configuration for app-admin/logrotate if you"
+ elog "wish to use external rotation of logs. In this case, you also need to make"
+ elog "sure the built-in rotation is turned off."
+}